Part Spiral/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "Доступ к диалоговому окну Создания Примитивов можно получить с помощью ярлыка Part_Primitives|Примит...")
(Updating to match new version of source page)
 
(12 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}


{{Docnav
{{Docnav/ru
|[[Part_Helix|Helix]]
|[[Part_Helix/ru|Спираль винтовая]]
|[[Part_Circle|Circle]]
|[[Part_Circle/ru|Окружность]]
|[[Part_Module|Part]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=Part_Helix.svg
|IconL=Part_Helix.svg
|IconR=Part_Circle.svg
|IconR=Part_Circle.svg
Line 11: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Part Spiral
|Name=Part Spiral
|Name/ru=Плоская .спираль
|Name/ru=Плоская Cпираль
|MenuLocation=[[Part_Module/ru|Деталь]] → [[Part_Primitives/ru|Создать примитивы...]] → Спираль
|MenuLocation=[[Part_Workbench/ru|Деталь]] → [[Part_Primitives/ru|Создать примитивы...]] → Спираль
|Workbenches=[[Part_Module/ru|Part(Деталь)]]
|Workbenches=[[Part_Workbench/ru|Part(Деталь)]]
|Version=0.14
|Version=0.14
|SeeAlso=[[Part_CreatePrimitives/ru|Создать примитивы...]]
|SeeAlso=[[Part_CreatePrimitives/ru|Создать примитивы...]]
}}
}}
</div>


==Описание==
==Описание==


A [[Image:Part_Spiral.svg|24px]] '''Part Spiral''' is a parametric shape that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the spiral lies on the XY plane with its center at the origin and its start point on the X axis. It widens as it turns counterclockwise.
==Использование==


[[Image:Part_Spiral_Example.png|400px]]
Доступ к диалоговому окну Создания Примитивов можно получить с помощью ярлыка [[Part_Primitives|Примитивы]] [[Image:Part_Primitives.svg|32px]], расположенного в меню Деталь или на панели инструментов верстака Деталь.


== Применение ==
[[File:SpiralDefault_it.png]]


See [[Part_Primitives#Usage|Part Primitives]].
[[File:Spiral_x45_it.png]]


== Example ==
[[File:Spiral_y45_it.png]]


[[Image:Part_Spiral_Scripting_Example.png|thumb|Part Spiral from the scripting example]]
{{Docnav

|[[Part_Helix|Helix]]
A Part Spiral object created with the [[#Scripting|scripting example]] below is shown here.
|[[Part_Circle|Circle]]

|[[Part_Module|Part]]
== Properties ==

See also: [[Property_editor|Property editor]].

A Part Spiral object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Spiral}}

* {{PropertyData|Growth|Length}}: The distance between two consecutive turns of the spiral. The default is {{Value|1mm}}.
* {{PropertyData|Radius|Length}}: The start radius of the spiral, the distance between its center and its start point. Can be {{Value|0mm}}. The default is {{Value|1mm}}.
* {{PropertyData|Rotations|QuantityConstraint}}: The number of rotations, or turns, of the spiral. The default is {{Value|2}}.
* {{PropertyData|Segment Length|QuantityConstraint}}: The number of turns per spiral subdivision. The default is {{Value|1}}, meaning each full turn of the spiral is a separate segment. Use {{Value|0}} to suppress subdivision.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Spiral can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
}}

* Where {{Incode|"mySpiral"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

spiral = doc.addObject("Part::Spiral", "mySpiral")
spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4
spiral.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}


{{Docnav/ru
|[[Part_Helix/ru|Спираль винтовая]]
|[[Part_Circle/ru|Окружность]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=Part_Helix.svg
|IconL=Part_Helix.svg
|IconR=Part_Circle.svg
|IconR=Part_Circle.svg
Line 41: Line 95:
}}
}}


{{Part_Tools_navi{{#translation:}}}}
{{clear}}
{{Part Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:20, 3 March 2022

Плоская Cпираль

Системное название
Part Spiral
Расположение в меню
ДетальСоздать примитивы... → Спираль
Верстаки
Part(Деталь)
Быстрые клавиши
Нет
Представлено в версии
0.14
См. также
Создать примитивы...

Описание

A Part Spiral is a parametric shape that can be created with the Part Primitives command. In the coordinate system defined by its ДанныеPlacement property, the spiral lies on the XY plane with its center at the origin and its start point on the X axis. It widens as it turns counterclockwise.

Применение

See Part Primitives.

Example

Part Spiral from the scripting example

A Part Spiral object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Spiral object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Spiral

  • ДанныеGrowth (Length): The distance between two consecutive turns of the spiral. The default is 1mm.
  • ДанныеRadius (Length): The start radius of the spiral, the distance between its center and its start point. Can be 0mm. The default is 1mm.
  • ДанныеRotations (QuantityConstraint): The number of rotations, or turns, of the spiral. The default is 2.
  • ДанныеSegment Length (QuantityConstraint): The number of turns per spiral subdivision. The default is 1, meaning each full turn of the spiral is a separate segment. Use 0 to suppress subdivision.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Spiral can be created with the addObject() method of the document:

spiral = FreeCAD.ActiveDocument.addObject("Part::Spiral", "mySpiral")
  • Where "mySpiral" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

spiral = doc.addObject("Part::Spiral", "mySpiral")
spiral.Growth = 2
spiral.Radius = 3
spiral.Rotations = 4
spiral.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()